Index: /trunk/gsdl/macros/slovak.dm
===================================================================
--- /trunk/gsdl/macros/slovak.dm	(revision 13363)
+++ /trunk/gsdl/macros/slovak.dm	(revision 13364)
@@ -206,13 +206,13 @@
 
 _textpagetitle_ [l=sk] {Digit&#225;lna kni&#382;nica Greenstone}  # Updated 7-Oct-2006 by tomasfiala
-# -- Missing translation: _textadmin_
-# -- Missing translation: _textabgs_
-# -- Missing translation: _textgsdocs_
+_textadmin_ [l=sk] {Spr&#225;vcovsk&#225; str&#225;nka }  # Updated 26-Oct-2006 by tomasfiala
+_textabgs_ [l=sk] {O Greenstone}  # Updated 26-Oct-2006 by tomasfiala
+_textgsdocs_ [l=sk] {Dokument&#225;cia Greenstone}  # Updated 26-Oct-2006 by tomasfiala
 
 _textdescradmin_ [l=sk] {Umo&#382;&#328;uje prid&#225;va&#357; nov&#253;ch pou&#382;&#237;vate&#318;ov, mana&#382;ova&#357; kolekcie a poskytuje technick&#233; inform&#225;cie o in&#353;tal&#225;ci&#237;.}  # Updated 7-Oct-2006 by tomasfiala
 
-_textdescrgogreenstone_ [l=sk] {Prin&#225;&#353;a inform&#225;cie o softv&#233;ry Greenstone a projekte digit&#225;lnej kni&#382;nice Nov&#233;ho Z&#233;landu.}  # Updated 7-Oct-2006 by tomasfiala
-
-# -- Missing translation: _textdescrgodocs_
+_textdescrgogreenstone_ [l=sk] {Prin&#225;&#353;a inform&#225;cie o softv&#233;ri Greenstone a projekte digit&#225;lnej kni&#382;nice Nov&#233;ho Z&#233;landu.}  # Updated 28-Nov-2006 by tomasfiala
+
+_textdescrgodocs_ [l=sk] {Pr&#237;ru&#269;ka Greenstone}  # Updated 26-Oct-2006 by tomasfiala
 
 #####################################################################
@@ -222,15 +222,15 @@
 
 _textgli_ [l=sk] {Knihovn&#237;cke rozhranie}  # Updated 7-Oct-2006 by tomasfiala
-# -- Missing translation: _textdescrgli_
+_textdescrgli_ [l=sk] {Umo&#382;&#328;uje vytv&#225;ra&#357;, upravova&#357; a maza&#357; zbierky}  # Updated 26-Oct-2006 by tomasfiala
 
 package collector
 
 _textcollector_ [l=sk] {Zberate&#318;}  # Updated 7-Oct-2006 by tomasfiala
-# -- Missing translation: _textdescrcollector_
+_textdescrcollector_ [l=sk] {Pou&#382;&#237;vanie knihovn&#237;ckeho rozhrania je praktickej&#353;ie a vhodnej&#353;ie.}  # Updated 26-Oct-2006 by tomasfiala
 
 package depositor
 
-# -- Missing translation: _textdepositor_
-# -- Missing translation: _textdescrdepositor_
+_textdepositor_ [l=sk] {Depozit}  # Updated 26-Oct-2006 by tomasfiala
+_textdescrdepositor_ [l=sk] {Umo&#382;&#328;uje prida&#357; dokumenty do existuj&#250;cich zbierok}  # Updated 26-Oct-2006 by tomasfiala
 
 package gti
@@ -437,6 +437,6 @@
 _textnostem_ [l=sk] {zhodova&#357; sa mus&#237; cel&#233; slovo}  # Updated 25-Sep-2006 by tomasfiala
 _textaccentdiffs_ [l=sk] {Rozdielnos&#357;:}  # Updated 5-Oct-2006 by tomasfiala
-# -- Missing translation: _textignoreaccents_
-# -- Missing translation: _textmatchaccents_
+_textignoreaccents_ [l=sk] {ignorova&#357; d&#314;&#382;ne}  # Updated 26-Oct-2006 by tomasfiala
+_textmatchaccents_ [l=sk] {d&#314;&#382;ne sa musia zhodova&#357;}  # Updated 26-Oct-2006 by tomasfiala
 
 _textprefop_ [l=sk] {Vyh&#318;adaj _maxdocoption_ z&#225;znamov s _hitsperpageoption_ na jednej strane.}  # Updated 5-Oct-2006 by tomasfiala
@@ -598,7 +598,7 @@
 <p>Pri tvorbe dotazov si m&#244;&#382;ete vybra&#357; medzi jednoduch&#253;m a roz&#353;&#237;ren&#253;m vyh&#318;ad&#225;van&#237;m. Roz&#353;&#237;ren&#233; vyh&#318;ad&#225;vanie V&#225;m umo&#382;&#328;uje kombinova&#357; oper&#225;tori & (pre "A"), | (pre "ALEBO"), and ! (pre "NIE&#8220;)<p>Okno na vyh&#318;ad&#225;vanie je mo&#382;n&#233; roz&#353;&#237;ri&#357; na po&#382;adovan&#250; ve&#318;kos&#357; a vyh&#318;ad&#225;va&#357; pod&#318;a ve&#318;k&#233;ho po&#269;tu slov.<p>Sp&#244;sob porovn&#225;vania textu pri vyh&#318;ad&#225;van&#237; sa riadi dvoma p&#225;rmi tla&#269;idiel. Prv&#225; dvojica tla&#269;idiel (ozna&#269;en&#225; "VE&#317;K&#201;, mal&#233; p&#237;smen&#225;"), ur&#269;uje &#269;i mus&#237; s&#250;hlasi&#357; ve&#318;kos&#357; p&#237;smen. Druh&#225; dvojica znakov ("koncovky znakov") ur&#269;uje &#269;i bud&#250; v angli&#269;tine ignorovan&#233; koncovky znakov.<p>Napr&#237;klad, ak s&#250; zapnut&#233; tla&#269;idl&#225; <i>ignoruj ve&#318;kos&#357; znakov</i> a  <i>ignoruj koncovky slov</i>, bude dotaz <p><ul><kbd>African building</kbd></ul><p>spracovan&#253; rovnako ako<p><ul><kbd>africa builds</kbd></ul><p>preto&#382;e ve&#318;k&#233; p&#237;smeno v slove "African" bude zmenen&#233; na mal&#233; a zo slov "African a "building" bud&#250; odstr&#225;nen&#233; koncovky "n" a "ing".<p>Funkcia hist&#243;rie dotazov V&#225;m umo&#382;&#328;uje pozrie&#357; si v&#353;etky vyh&#318;ad&#225;van&#233; term&#237;ny a jednoducho ich vyladi&#357;.<p>Po&#269;et zobrazen&#253;ch vyh&#318;adan&#253;ch v&#253;sledkov na jednej strane je mo&#382;n&#233; zmeni&#357; v nastaveniach.}  # Updated 25-Sep-2006 by tomasfiala
 
-# -- Missing translation: _textcasefoldprefs_
-# -- Missing translation: _textstemprefs_
-# -- Missing translation: _textaccentfoldprefs_
+_textcasefoldprefs_ [l=sk] {Pri vyh&#318;ad&#225;van&#237; v texte je mo&#382;n&#233; zapn&#250;&#357;, alebo vypn&#250;&#357; zhodu ve&#318;k&#253;ch/mal&#253;ch p&#237;smen. Napr&#237;klad, po zapnut&#237; "_preferences:textignorecase_", <i>snail farming</i> bude syst&#233;m ch&#225;pa&#357; rovnako ako <i>Snail Farming</i> a <i>SNAIL FARMING</i>.}  # Updated 26-Oct-2006 by tomasfiala
+_textstemprefs_ [l=sk] {Tla&#269;idlami je mo&#382;n&#233; zapn&#250;&#357;, alebo vypn&#250;&#357; ignorovanie koncoviek slov. Napr&#237;klad, ak je zapnut&#233; "_preferences:textstem_", <i>snail farming</i> bude syst&#233;m ch&#225;pa&#357; rovnako ako <i>snails farm</i> a <i>snail farmer</i>. T&#225;to funkcia funguje spo&#318;ahlivo len pri textoch v anglickom jazyku. _selectstemoptionsprefs_}  # Updated 26-Oct-2006 by tomasfiala
+_textaccentfoldprefs_ [l=sk] {Dve tla&#269;idl&#225; ur&#269;uj&#250; &#269;i sa m&#225; pri vyh&#318;ad&#225;van&#237; prihliada&#357; na diakritiku term&#237;nov. Napr&#237;klad ak je zapnut&#233; "_preferences:textignoreaccents_", <i>f&#233;d&#233;ration</i> bude syst&#233;m ch&#225;pa&#357; rovnako ako <i>fed&#233;ration</i> a <i>federation</i>.}  # Updated 21-Oct-2006 by tomasfiala
  
 _textstemoptionsprefs_ [l=sk] {Bude lep&#353;ie ak pou&#382;ijete krat&#353;&#237; vyh&#318;ad&#225;vac&#237; term&#237;n (op&#237;san&#253; vy&#353;&#353;ie) v "_texthelpquerytermstitle_".}  # Updated 6-Oct-2006 by tomasfiala
Index: /trunk/gsdl/macros/slovak2.dm
===================================================================
--- /trunk/gsdl/macros/slovak2.dm	(revision 13363)
+++ /trunk/gsdl/macros/slovak2.dm	(revision 13364)
@@ -35,18 +35,18 @@
 }  # Updated 17-Nov-2006 by tomasfiala
 
-_textgreenstone_ [l=sk] {<p>Greenstone je drahokam (podobne ako tento softvÃ©r), pochÃ¡dza z NovÃ©ho ZÃ©landu. V tradiÄnej spoloÄnosti Maurov to bol najviac cenenÃœ predmet, ktorÃœ do seba mohol prijaÅ¥ a udrÅŸaÅ¥ <i>wairua</i>, teda "ducha", alebo "ÅŸivotnÃº silu". Greenstone predstavuje tradiÄnÃ© spoloÄenskÃ© hodnoty, preto je symbolom projektu verejne prÃ­stupnej digitÃ¡lnej kniÅŸnice. Jeho lesk je milostivÃœ, jeho priesvitnosÅ¥ vzneÅ¡enÃ¡; jeho pevnosÅ¥ smelÃ¡ a jeho ostrÃ© hrany spravodlivÃ©. VyrezÃ¡vanÃœ kameÅ, ktorÃœ vidÃ­te v logu Greenstone je, <i>patu</i> - bojovÃ¡ zbraÅ. Je to rodinnÃ© dediÄstvo zakladajÃºcich Älenov Greenstone. V bojoch muÅŸa proti muÅŸovi sÃº argumenty <i>patu</i> veÄŸmi rÃœchle a zdrvujÃºce. VerÃ­me, ÅŸe tieto vlastnosti sa prenÃ¡Å¡ajÃº aj na nÃ¡Å¡ program, ostrosÅ¥ <i>patu</i> v naÅ¡om softvÃ©ry symbolizuje rozhranie naÅ¡ej technolÃ³gie. </p>}  # Updated 17-Nov-2006 by tomasfiala
-
-_textaboutgreenstone_ [l=sk] {<p>Greenstone je softvÃ©r na vytvÃ¡ranie a Å¡Ã­renie digitÃ¡lnych zbierok, prinÃ¡Å¡a novÃ© spÃŽsoby zverejÅovania a sprÃ­stupÅovania informÃ¡ciÃ­ <p>Greenstone je softvÃ©r na vytvÃ¡ranie a Å¡Ã­renie digitÃ¡lnych zbierok, prinÃ¡Å¡a novÃ© spÃŽsoby zverejÅovania a sprÃ­stupÅovania informÃ¡ciÃ­ prostrednÃ­ctvom internetu a CD-ROM. Greenstone je produkt <b>New Zealand Digital Library Project</b> vytvorenÃœ na <b>Univerzite
-Waikato</b> a distribuovanÃœ <b>UNESCO</b> s podporou organizÃ¡cie <b>Human Info NGO</b>.  Je to voÄŸne prÃ­stupnÃœ softvÃ©r s otvorenÃœm kÃ³dom, ktorÃœ je dostupnÃœ na <a 
+_textgreenstone_ [l=sk] {<p>Greenstone je drahokam (podobne ako tento softv&#233;r), poch&#225;dza z Nov&#233;ho Z&#233;landu. V tradi&#269;nej spolo&#269;nosti Maurov to bol najviac cenen&#253; predmet, ktor&#253; do seba mohol prija&#357; a udr&#382;a&#357; <i>wairua</i>, teda "ducha", alebo "&#382;ivotn&#250; silu". Greenstone predstavuje tradi&#269;n&#233; spolo&#269;ensk&#233; hodnoty, preto je symbolom projektu verejne pr&#237;stupnej digit&#225;lnej kni&#382;nice. Jeho lesk je milostiv&#253;, jeho priesvitnos&#357; vzne&#353;en&#225;; jeho pevnos&#357; smel&#225; a jeho ostr&#233; hrany spravodliv&#233;. Vyrez&#225;van&#253; kame&#328;, ktor&#253; vid&#237;te v logu Greenstone je, <i>patu</i> - bojov&#225; zbra&#328;. Je to rodinn&#233; dedi&#269;stvo zakladaj&#250;cich &#269;lenov Greenstone. V bojoch mu&#382;a proti mu&#382;ovi s&#250; argumenty <i>patu</i> ve&#318;mi r&#253;chle a zdrvuj&#250;ce. Ver&#237;me, &#382;e tieto vlastnosti sa pren&#225;&#353;aj&#250; aj na n&#225;&#353; program, ostros&#357; <i>patu</i> symbolizuje rozhranie na&#353;ej technol&#243;gie.</p>}  # Updated 28-Nov-2006 by tomasfiala
+
+_textaboutgreenstone_ [l=sk] {<p>Greenstone je softv&#233;r na vytv&#225;ranie a &#353;&#237;renie digit&#225;lnych zbierok, prin&#225;&#353;a nov&#233; sp&#244;soby zverej&#328;ovania a spr&#237;stup&#328;ovania inform&#225;ci&#237; prostredn&#237;ctvom internetu a CD-ROM. Greenstone je produkt <b>New Zealand Digital Library Project</b> vytvoren&#253; na <b>Univerzite
+Waikato</b> a distribuovan&#253; <b>UNESCO</b> s podporou organiz&#225;cie <b>Human Info NGO</b>.  Je to vo&#318;ne pr&#237;stupn&#253; softv&#233;r s otvoren&#253;m k&#243;dom, ktor&#253; je dostupn&#253; na <a 
 href="http://greenstone.org">http://greenstone.org</a> pod podmienkami GNU General Public License. </p>
 
-<p>CieÄŸom softvÃ©ru je podporiÅ¥ vytvÃ¡ranie digitÃ¡lnych kniÅŸnÃ­c v kniÅŸniciach, univerzitÃ¡ch a v ostatnÃœch verejnÃœch inÅ¡titÃºciÃ¡ch. VerÃ­me, ÅŸe tento softvÃ©r prispeje k lepÅ¡iemu Å¡Ã­reniu informÃ¡ciÃ­ vo verejnej sfÃ©re.</p>
-
-<p>Tento softvÃ©r chce poskytnÃºÅ¥ pouÅŸÃ­vateÄŸom nÃ¡stroje na vytvorenie vlastnÃœch digitÃ¡lnych zbierok (a to predovÅ¡etkÃœm pouÅŸÃ­vateÄŸom z univerzÃ­t, kniÅŸnÃ­c a ÄalÅ¡Ã­m organizÃ¡ciÃ¡m vo verejnej sprÃ¡ve). V ÄlenskÃœch Å¡tÃ¡toch UNESCO, ale aj v rozvojovÃœch krajinÃ¡ch majÃº digitÃ¡lne kniÅŸnice veÄŸkÃœ vÃœznam pri Å¡Ã­renÃ­ informÃ¡ciÃ­ v oblastiach vedy, kultÃºry a vzdelÃ¡vania. VerÃ­me, ÅŸe tento projekt podporÃ­ efektÃ­vne vyuÅŸitie digitÃ¡lnych kniÅŸnÃ­c a ich Ãºlohu zdieÄŸaÅ¥ a rozÅ¡irovaÅ¥ informÃ¡cie v spoloÄnosti. 
-
-<p>Tento softvÃ©r vznikol na zÃ¡klade medzinÃ¡rodnej spoluprÃ¡ce, ktorÃ¡ zaÄala v auguste 2000 medzi troma organizÃ¡ciami.</p>
+<p>Cie&#318;om softv&#233;ru je podpori&#357; vytv&#225;ranie digit&#225;lnych kni&#382;n&#237;c v kni&#382;niciach, univerzit&#225;ch a v ostatn&#253;ch verejn&#253;ch in&#353;tit&#250;ci&#225;ch. Ver&#237;me, &#382;e tento softv&#233;r prispeje k lep&#353;iemu &#353;&#237;reniu inform&#225;ci&#237; vo verejnej sf&#233;re.</p>
+
+<p>Tento softv&#233;r chce poskytn&#250;&#357; pou&#382;&#237;vate&#318;om n&#225;stroje na vytvorenie vlastn&#253;ch digit&#225;lnych zbierok (a to predov&#353;etk&#253;m pou&#382;&#237;vate&#318;om z univerz&#237;t, kni&#382;n&#237;c a &#271;al&#353;&#237;m organiz&#225;ci&#225;m vo verejnej spr&#225;ve). V &#269;lensk&#253;ch &#353;t&#225;toch UNESCO, ale aj v rozvojov&#253;ch krajin&#225;ch maj&#250; digit&#225;lne kni&#382;nice ve&#318;k&#253; v&#253;znam pri &#353;&#237;ren&#237; inform&#225;ci&#237; v oblastiach vedy, kult&#250;ry a vzdel&#225;vania. Ver&#237;me, &#382;e tento projekt podpor&#237; efekt&#237;vne vyu&#382;itie digit&#225;lnych kni&#382;n&#237;c a ich &#250;lohu zdie&#318;a&#357; a roz&#353;irova&#357; inform&#225;cie v spolo&#269;nosti. 
+
+<p>Tento softv&#233;r vznikol na z&#225;klade medzin&#225;rodnej spolupr&#225;ce, ktor&#225; za&#269;ala v auguste 2000 medzi troma organiz&#225;ciami.</p>
 
 <p><a href="http://nzdl.org"><b>New Zealand Digital Library Project na univerzite Waikato</b></a>
-<br>Kde Greenstone vznikol za podpory novozÃ©landskÃ©ho nÃ¡rodnÃ©ho sekretariÃ¡tu pre UNESCO (ako sÃºÄasÅ¥ prÃ­spevku NovÃ©ho ZÃ©landu do UNESCO).</p>
+<br>Kde Greenstone vznikol za podpory novoz&#233;landsk&#233;ho n&#225;rodn&#233;ho sekretari&#225;tu pre UNESCO (ako s&#250;&#269;as&#357; pr&#237;spevku Nov&#233;ho Z&#233;landu do UNESCO).</p>
 
 <p>
@@ -55,14 +55,11 @@
 <a href="http://www.unesco.org"><b>United Nations Educational, Scientific and Cultural Organization</b></a>
 <br>
-CieÄŸom UNESCO je rozÅ¡irovanie informÃ¡ciÃ­ pre vedu, vzdelÃ¡vanie a kultÃºru. HlavnÃœm bodom medzivlÃ¡dneho programu âInformÃ¡cie pre vÅ¡etkÃœchâ je dostupnosÅ¥ tÃœchto informÃ¡ciÃ­ v rozvojovÃœch krajinÃ¡ch. 
+Cie&#318;om UNESCO je roz&#353;irovanie inform&#225;ci&#237; pre vedu, vzdel&#225;vanie a kult&#250;ru. Hlavn&#253;m bodom medzivl&#225;dneho programu &#8222;Inform&#225;cie pre v&#353;etk&#253;ch&#8220; je dostupnos&#357; t&#253;chto inform&#225;ci&#237; v rozvojov&#253;ch krajin&#225;ch. 
 </p> 
 
 <p>
 <a href="http://humaninfo.org"><img alt="Human Info logo" src="_httpimg_/ghproj2.jpg" class="logo"></a>
-Tento projekt v spoluprÃ¡ci s agentÃºrami UN a NGO si vÄaka digitalizÃ¡ciÃ­ a sprÃ­stupÅovaniu digitÃ¡lnych dokumentov v krajinÃ¡ch tretieho sveta zÃ­skal svetovÃ© uznanie.
-<br>
-<a href="http://humaninfo.org"><b>The Human Info NGO</b></a>
-</p>
-}  # Updated 17-Nov-2006 by tomasfiala
+<a href="http://humaninfo.org"><b>The Human Info NGO</b></a><br>
+Tento projekt v spolupr&#225;ci s agent&#250;rami UN a NGO si v&#271;aka digitaliz&#225;cii a spr&#237;stup&#328;ovaniu digit&#225;lnych dokumentov v krajin&#225;ch tretieho sveta z&#237;skal svetov&#233; uznanie.}  # Updated 28-Nov-2006 by tomasfiala
 
 
@@ -126,5 +123,6 @@
 _textmustbelongtogroup_ [l=sk] {Pre prÃ­stup k tejto strÃ¡nke patriÅ¥ k uÅŸÃ­vateÄŸskej skupine "_cgiargug_".}  # Updated 17-Nov-2006 by tomasfiala
 
-# -- Missing translation: _textmessageinvalid_
+_textmessageinvalid_ [l=sk] {Pre zobrazenie str&#225;nky mus&#237;te by&#357; prihl&#225;sen&#253;.<br>
+_If_(_cgiargug_,[_textmustbelongtogroup_]<br>) Pros&#237;m vlo&#382;te va&#353;e meno a heslo.}  # Updated 25-Nov-2006 by tomasfiala
 
 _textmessagefailed_ [l=sk] {NeznÃ¡my uÅŸÃ­vateÄŸ, alebo neplatnÃ© heslo.}  # Updated 17-Nov-2006 by tomasfiala
@@ -210,10 +208,6 @@
 _textsrce_ [l=sk] {ZdrojovÃ© dÃ¡ta}  # Updated 17-Nov-2006 by tomasfiala
 _textconf_ [l=sk] {KonfigurovaÅ¥ zbierku}  # Updated 17-Nov-2006 by tomasfiala
-_textbild_ [l=sk] {_wizard:textbild_}  # Updated 17-Nov-2006 by tomasfiala
-_textview_ [l=sk] {_wizard:textview_}  # Updated 17-Nov-2006 by tomasfiala
 _textdel_ [l=sk] {VymazaÅ¥ zbierku}  # Updated 17-Nov-2006 by tomasfiala
 _textexpt_ [l=sk] {Export zbierky}  # Updated 17-Nov-2006 by tomasfiala
-_textbildsuc_ [l=sk] {_wizard:textbildsuc_}  # Updated 17-Nov-2006 by tomasfiala
-_textviewbildsummary_ [l=sk] {_wizard:textviewbildsummary_}  # Updated 17-Nov-2006 by tomasfiala
 
 _textdownloadingfiles_ [l=sk] {SÅ¥ahujem sÃºbory ...}  # Updated 17-Nov-2006 by tomasfiala
@@ -230,5 +224,5 @@
 _textwec_ [l=sk] {pracuj s existujÃºcou, pridaj dÃ¡ta, alebo vymaÅŸ. }  # Updated 17-Nov-2006 by tomasfiala
 
-_textcb3_ [l=sk] {PozmeÅovaÅ¥ a budovaÅ¥ zbierky digitÃ¡lnej kniÅŸnice mÃŽÅŸu len prihlÃ¡senÃœ pouÅŸÃ­vatelia. TÃœmto spÃŽsobom softvÃ©r digitÃ¡lnej kniÅŸnice chrÃ¡ni VaÅ¡e dÃ¡ta pred neoprÃ¡vnenou manipulÃ¡ciou. PoznÃ¡mka : Z bezpeÄnostnÃœch dÃŽvodov budete zo systÃ©mu automaticky odhlÃ¡senÃœ po tridsiatich minÃºtach, potom vÃ¡s systÃ©m vyzve k opÃ€tovnÃ©mu prihlÃ¡seniu. Po prihlÃ¡senÃ­ mÃŽÅŸete pokraÄovaÅ¥ tam kde ste prestali.}  # Updated 17-Nov-2006 by tomasfiala
+_textcb3_ [l=sk] {Pozme&#328;ova&#357; a budova&#357; zbierky digit&#225;lnej kni&#382;nice m&#244;&#382;u len prihl&#225;sen&#237; pou&#382;&#237;vatelia. T&#253;mto sp&#244;sobom softv&#233;r digit&#225;lnej kni&#382;nice chr&#225;ni Va&#353;e d&#225;ta pred neopr&#225;vnenou manipul&#225;ciou. Pozn&#225;mka : Z bezpe&#269;nostn&#253;ch d&#244;vodov budete zo syst&#233;mu automaticky odhl&#225;sen&#253; po tridsiatich min&#250;tach, potom v&#225;s syst&#233;m vyzve k op&#228;tovn&#233;mu prihl&#225;seniu. Po prihl&#225;sen&#237; m&#244;&#382;ete pokra&#269;ova&#357; tam kde ste prestali.}  # Updated 27-Nov-2006 by tomasfiala
 
 _textcb4_ [l=sk] {VloÅŸte svoje meno a heslo.}  # Updated 17-Nov-2006 by tomasfiala
@@ -258,5 +252,5 @@
 
 _textcnmbs_ [l=sk] {NÃ¡zov zbierky musÃ­ byÅ¥ stanovenÃœ}  # Updated 17-Nov-2006 by tomasfiala
-_texteambs_ [l=sk] {Zadajte svoju emalovÃº adresu}  # Updated 17-Nov-2006 by tomasfiala
+_texteambs_ [l=sk] {Zadajte svoju emailov&#250; adresu}  # Updated 25-Nov-2006 by tomasfiala
 _textpsea_ [l=sk] {NapÃ­Å¡te emailovÃº adresu vo formÃ¡te : pouÅŸÃ­vateÄŸ@domÃ©na}  # Updated 17-Nov-2006 by tomasfiala
 _textdocmbs_ [l=sk] {Zbierka musÃ­ byÅ¥ popÃ­sanÃ¡ }  # Updated 17-Nov-2006 by tomasfiala
@@ -299,31 +293,7 @@
 _textreset_ [l=sk] {Reset }  # Updated 17-Nov-2006 by tomasfiala
 
-_textbild1_ [l=sk] {_wizard:textbild1_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbild2_ [l=sk] {_wizard:textbild2_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textstopbuild_ [l=sk] {_wizard:textstopbuild_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbild3_ [l=sk] {_wizard:textbild3_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbuildcancelled_ [l=sk] {_wizard:textbuildcancelled_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbildcancel1_ [l=sk] {_wizard:textbildcancel1_}  # Updated 17-Nov-2006 by tomasfiala
-
-
-_textbsupdate1_ [l=sk] {_wizard:textbsupdate1_}  # Updated 17-Nov-2006 by tomasfiala
-_textbsupdate2_ [l=sk] {_wizard:textbsupdate2_}  # Updated 17-Nov-2006 by tomasfiala
-_textseconds_ [l=sk] {_wizard:textseconds_}  # Updated 17-Nov-2006 by tomasfiala
-
-
-_textfailmsg11_ [l=sk] {_wizard:textfailmsg11_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg21_ [l=sk] {_wizard:textfailmsg21_}  # Updated 17-Nov-2006 by tomasfiala
-_textblcont_ [l=sk] {_wizard:textblcont_}  # Updated 17-Nov-2006 by tomasfiala
 
 _texttryagain_ [l=sk] {ProsÃ­m <a href="_httppagecollector_" target=_top>reÅ¡tartujte ZberateÄŸa</a> a skÃºste znova. }  # Updated 17-Nov-2006 by tomasfiala
 
-_textfailmsg31_ [l=sk] {_wizard:textfailmsg31_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg41_ [l=sk] {_wizard:textfailmsg41_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg71_ [l=sk] {_wizard:textfailmsg71_}  # Updated 17-Nov-2006 by tomasfiala
 
 _textretcoll_ [l=sk] {SpÃ€Å¥ }  # Updated 17-Nov-2006 by tomasfiala
@@ -362,39 +332,14 @@
 
 
-_textdepositorblurb_ [l=sk] {<p>DoplÅte nasledujÃºce informÃ¡cie a kliknite na _textintro_.</p>}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbsupdate1_ [l=sk] {_wizard:textbsupdate1_}  # Updated 17-Nov-2006 by tomasfiala
-_textbsupdate2_ [l=sk] {_wizard:textbsupdate2_}  # Updated 17-Nov-2006 by tomasfiala
-_textseconds_ [l=sk] {_wizard:textseconds_}  # Updated 17-Nov-2006 by tomasfiala
+_textdepositorblurb_ [l=sk] {<p>Dopl&#328;te nasleduj&#250;ce inform&#225;cie a kliknite na _textintro_.</p>}  # Updated 25-Nov-2006 by tomasfiala
 
 _textcaec_ [l=sk] {PridÃ¡vam k existujÃºcej zbierke}  # Updated 17-Nov-2006 by tomasfiala
 _textbild_ [l=sk] {Do depozitu}  # Updated 17-Nov-2006 by tomasfiala
 _textintro_ [l=sk] {Vyber sÃºbor}  # Updated 17-Nov-2006 by tomasfiala
-_textbildsuc_ [l=sk] {_wizard:textbildsuc_}  # Updated 17-Nov-2006 by tomasfiala
-_textviewbildsummary_ [l=sk] {_wizard:textviewbildsummary_}  # Updated 17-Nov-2006 by tomasfiala
 _textselect_ [l=sk] {Vyber zbierku}  # Updated 17-Nov-2006 by tomasfiala
 _textmeta_ [l=sk] {DoplniÅ¥ metadÃ¡ta}  # Updated 17-Nov-2006 by tomasfiala
-_textview_ [l=sk] {_wizard:textview_}  # Updated 17-Nov-2006 by tomasfiala
-_textbild1_ [l=sk] {_wizard:textbild1_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbild2_ [l=sk] {_wizard:textbild2_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textstopbuild_ [l=sk] {_wizard:textstopbuild_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbild3_ [l=sk] {_wizard:textbild3_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbuildcancelled_ [l=sk] {_wizard:textbuildcancelled_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textbildcancel1_ [l=sk] {_wizard:textbildcancel1_}  # Updated 17-Nov-2006 by tomasfiala
-
-_textfailmsg11_ [l=sk] {_wizard:textfailmsg11_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg21_ [l=sk] {_wizard:textfailmsg21_}  # Updated 17-Nov-2006 by tomasfiala
-_textblcont_ [l=sk] {_wizard:textblcont_}  # Updated 17-Nov-2006 by tomasfiala
 
 _texttryagain_ [l=sk] {ProsÃ­m <a href="_httppagedepositor_" target=_top>ReÅ¡tartujte Depozit</a> a skÃºste znova.}  # Updated 17-Nov-2006 by tomasfiala
 
-_textfailmsg31_ [l=sk] {_wizard:textfailmsg31_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg41_ [l=sk] {_wizard:textfailmsg41_}  # Updated 17-Nov-2006 by tomasfiala
-_textfailmsg71_ [l=sk] {_wizard:textfailmsg71_}  # Updated 17-Nov-2006 by tomasfiala
 
 _textretcoll_ [l=sk] {NÃ¡vrat do Depozitu}  # Updated 17-Nov-2006 by tomasfiala
@@ -447,5 +392,5 @@
 _textreport_ [l=sk] {Prajeme si, aby tento softvÃ©r fungoval sprÃ¡vne. PrÃ­padnÃ© chyby zasielajte na adresu <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>}  # Updated 17-Nov-2006 by tomasfiala
 
-_textgs3title_ [l=sk] {v dielach}  # Updated 17-Nov-2006 by tomasfiala
+_textgs3title_ [l=sk] {verzie}  # Updated 25-Nov-2006 by tomasfiala
 _textgs3_ [l=sk] {Verzia softvÃ©ru Greenstone 3 ponÃºka vÅ¡etky funkcie a vÃœhody verzie Greenstone 2.
 SoftvÃ©r je napÃ­sanÃœ v jazyku Java a funguje kompilÃ¡ciou nezÃ¡vislÃœch zÃ¡suvnÃœch modulov komunikujÃºcich v jazyku XML. DokumentÃ¡cia a testovacie verzie Greenstone 3 sÃº dostupnÃ© na strÃ¡nke <a href="http://www.greenstone.org/greenstone3.html"> Greenstone 3</a>.
@@ -458,5 +403,5 @@
 }  # Updated 17-Nov-2006 by tomasfiala
 
-_textaboutgslong_ [l=sk] {o softvÃ©ry Greenstone}  # Updated 17-Nov-2006 by tomasfiala
+_textaboutgslong_ [l=sk] {o softv&#233;ri Greenstone}  # Updated 28-Nov-2006 by tomasfiala
 
 ######################################################################
@@ -475,5 +420,5 @@
 _textgroups_ [l=sk] {skupiny}  # Updated 17-Nov-2006 by tomasfiala
 _textcomment_ [l=sk] {komentÃ¡r}  # Updated 17-Nov-2006 by tomasfiala
-# -- Missing translation: _textadduser_
+_textadduser_ [l=sk] {pridaj nov&#233;ho pou&#382;&#237;vate&#318;a}  # Updated 25-Nov-2006 by tomasfiala
 _textedituser_ [l=sk] {editovaÅ¥}  # Updated 17-Nov-2006 by tomasfiala
 _textdeleteuser_ [l=sk] {vymazaÅ¥}  # Updated 17-Nov-2006 by tomasfiala
@@ -743,5 +688,5 @@
 
 _textgtitranslatingchunk_ [l=sk] {PrekladÃ¡m <i>_1_</i>}  # Updated 17-Nov-2006 by tomasfiala
-_textgtiupdatingchunk_ [l=sk] {Aktuakizujem <i>_1_</i>}  # Updated 17-Nov-2006 by tomasfiala
+_textgtiupdatingchunk_ [l=sk] {Aktualizujem <i>_1_</i>}  # Updated 25-Nov-2006 by tomasfiala
 _textgtisubmit_ [l=sk] {ODOSLAÅ€}  # Updated 17-Nov-2006 by tomasfiala
 