Index: /trunk/gli/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13397)
+++ /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13398)
@@ -688,8 +688,8 @@
 	WarningDialog dialog;
 	if (GS3) {
-	    dialog = new WarningDialog("warning.MissingEXEC_GS3", "MissingEXEC_GS3.Title", Dictionary.get("MissingEXEC_GS3.Message"), "general.library_url", false);
+	    dialog = new WarningDialog("warning.MissingEXEC_GS3", Dictionary.get("MissingEXEC_GS3.Title"), Dictionary.get("MissingEXEC_GS3.Message"), "general.library_url", false);
 	}
 	else {
-	    dialog = new WarningDialog("warning.MissingEXEC", "MissingEXEC.Title", Dictionary.get("MissingEXEC.Message"), "general.library_url", false);
+	    dialog = new WarningDialog("warning.MissingEXEC", Dictionary.get("MissingEXEC.Title"), Dictionary.get("MissingEXEC.Message"), "general.library_url", false);
 	}
 	dialog.setValueField(new URLField(Configuration.getColor("coloring.editable_foreground", false), Configuration.getColor("coloring.editable_background", false)));
@@ -712,5 +712,5 @@
     static private void missingGLIServer()
     {
-	WarningDialog dialog = new WarningDialog("warning.MissingGLIServer", "MissingGLIServer.Title", Dictionary.get("MissingGLIServer.Message"), "general.gliserver_url", false);
+	WarningDialog dialog = new WarningDialog("warning.MissingGLIServer", Dictionary.get("MissingGLIServer.Title"), Dictionary.get("MissingGLIServer.Message"), "general.gliserver_url", false);
 	dialog.setValueField(new URLField(Configuration.getColor("coloring.editable_foreground", false), Configuration.getColor("coloring.editable_background", false)));
 	dialog.display();
@@ -733,5 +733,5 @@
      */
     static private void missingGSDL() {
-	WarningDialog dialog = new WarningDialog("warning.MissingGSDL", "MissingGSDL.Title", Dictionary.get("MissingGSDL.Message"), null, false);
+	WarningDialog dialog = new WarningDialog("warning.MissingGSDL", Dictionary.get("MissingGSDL.Title"), Dictionary.get("MissingGSDL.Message"), null, false);
 	dialog.display();
 	dialog.dispose();
@@ -741,5 +741,5 @@
     /** Prints a warning message about missing a valid ImageMagick path, which although not fatal means building image collections won't work */
     static private void missingImageMagick() {
-	WarningDialog dialog = new WarningDialog("warning.MissingImageMagick", "MissingImageMagick.Title", Dictionary.get("MissingImageMagick.Message"), null, false);
+	WarningDialog dialog = new WarningDialog("warning.MissingImageMagick", Dictionary.get("MissingImageMagick.Title"), Dictionary.get("MissingImageMagick.Message"), null, false);
 	dialog.display();
 	dialog.dispose();
@@ -749,5 +749,5 @@
     /** Prints a warning message about missing a valid PERL path, which although not fatal pretty much ensures no collection creation/building will work properly in the GLI. */
     static private void missingPERL() {
-	WarningDialog dialog = new WarningDialog("warning.MissingPERL", "MissingPERL.Title", Dictionary.get("MissingPERL.Message"), null, false);
+	WarningDialog dialog = new WarningDialog("warning.MissingPERL", Dictionary.get("MissingPERL.Title"), Dictionary.get("MissingPERL.Message"), null, false);
 	dialog.display();
 	dialog.dispose();
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 13397)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 13398)
@@ -216,5 +216,5 @@
 	    String[] args = new String[1];
 	    args[0] = file.getName();
-	    WarningDialog warning_dialog = new WarningDialog("warning.NoPluginExpectedToProcessFile", "NoPluginExpectedToProcessFile.Title", Dictionary.get("NoPluginExpectedToProcessFile.Message", args), null, false);
+	    WarningDialog warning_dialog = new WarningDialog("warning.NoPluginExpectedToProcessFile", Dictionary.get("NoPluginExpectedToProcessFile.Title"), Dictionary.get("NoPluginExpectedToProcessFile.Message", args), null, false);
 	    warning_dialog.display();
 	    warning_dialog.dispose();
Index: /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13397)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13398)
@@ -1125,5 +1125,5 @@
 
   		// Now display a message dialog saying its all built
-  		WarningDialog collection_built_warning_dialog = new WarningDialog("warning.CollectionBuilt", "CollectionBuilt.Title", Dictionary.get("CollectionBuilt.Message"), null, false);
+  		WarningDialog collection_built_warning_dialog = new WarningDialog("warning.CollectionBuilt", Dictionary.get("CollectionBuilt.Title"), Dictionary.get("CollectionBuilt.Message"), null, false);
   		collection_built_warning_dialog.setMessageOnly(true); // Not a warning
   		collection_built_warning_dialog.display();
Index: /trunk/gli/src/org/greenstone/gatherer/gui/FormatPane.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/FormatPane.java	(revision 13397)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/FormatPane.java	(revision 13398)
@@ -88,5 +88,5 @@
 	        
 		    if (buildCanceled){
-			WarningDialog dialog = new WarningDialog("warning.ShowPreviousCollection", "ShowPreviousCollection.Title", Dictionary.get("ShowPreviousCollection.Message"), null, false);
+			WarningDialog dialog = new WarningDialog("warning.ShowPreviousCollection", Dictionary.get("ShowPreviousCollection.Title"), Dictionary.get("ShowPreviousCollection.Message"), null, false);
 			dialog.display();
                         dialog.dispose();
Index: /trunk/gli/src/org/greenstone/gatherer/metadata/MetadataValueTableModel.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/metadata/MetadataValueTableModel.java	(revision 13397)
+++ /trunk/gli/src/org/greenstone/gatherer/metadata/MetadataValueTableModel.java	(revision 13398)
@@ -228,5 +228,5 @@
 	if (!new_metadata_value.equals("") && metadata_element.isRestricted()) {
 	    if (metadata_element.getMetadataValueTreeNode((String)new_metadata_value)==null) {
-		WarningDialog dialog = new WarningDialog("warning.InvalidMetadata", "InvalidMetadata.Title", Dictionary.get("InvalidMetadata.Message"), null, false);
+		WarningDialog dialog = new WarningDialog("warning.InvalidMetadata", Dictionary.get("InvalidMetadata.Title"), Dictionary.get("InvalidMetadata.Message"), null, false);
 		int dialog_result = dialog.display();
 		dialog.dispose();
@@ -241,5 +241,5 @@
 	    // If we're adding metadata to folders display the warning
  	    if (!file_nodes[0].isLeaf()) {
- 		WarningDialog dialog = new WarningDialog("warning.DirectoryLevelMetadata", "DirectoryLevelMetadata.Title", Dictionary.get("DirectoryLevelMetadata.Message"), null, true);
+ 		WarningDialog dialog = new WarningDialog("warning.DirectoryLevelMetadata", Dictionary.get("DirectoryLevelMetadata.Title"), Dictionary.get("DirectoryLevelMetadata.Message"), null, true);
  		int dialog_result = dialog.display();
  		dialog.dispose();
@@ -467,5 +467,5 @@
 	    Runnable task = new Runnable() {
 		    public void run() {
-			WarningDialog dialog = new WarningDialog("warning.ExtractedMetadata", "ExtractedMetadata.Title", Dictionary.get("ExtractedMetadata.Message"), null, false);
+			WarningDialog dialog = new WarningDialog("warning.ExtractedMetadata", Dictionary.get("ExtractedMetadata.Title"), Dictionary.get("ExtractedMetadata.Message"), null, false);
 			dialog.display();
 			dialog.dispose();