Index: trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13398)
+++ trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13399)
@@ -414,7 +414,7 @@
 
 	    // Import default metadata sets, if any
-	    for (int i = 0; metadata_sets != null && i < metadata_sets.size(); i++) {
-		importMetadataSet((MetadataSet) metadata_sets.get(i));
-	    }
+	    // for (int i = 0; metadata_sets != null && i < metadata_sets.size(); i++) {
+	    // importMetadataSet((MetadataSet) metadata_sets.get(i));
+	    // }
 
 	    ProfileXMLFileManager.loadProfileXMLFile(new File(collection_directory_path + "metadata"));
@@ -452,9 +452,9 @@
 	    }
 
-	    // Always import the extracted metadata set if we didn't already
-	    if (MetadataSetManager.getMetadataSet(MetadataSetManager.EXTRACTED_METADATA_NAMESPACE) == null) {
-		File extracted_metadata_set_file = new File(Gatherer.getGLIMetadataDirectoryPath() + MetadataSetManager.EXTRACTED_METADATA_NAMESPACE + StaticStrings.METADATA_SET_EXTENSION);
-		importMetadataSet(new MetadataSet(extracted_metadata_set_file));
-	    }
+	    // Load the default metadata sets
+	    addDefaultMetadataSets();
+
+	    // Make sure we always have the extracted metadata set
+	    addRequiredMetadataSets();
 
 	    collection.cdm = new CollectionDesignManager(new File(getCollectionConfigFilePath()));
@@ -793,6 +793,6 @@
 		}
 	    }
-	    catch (Exception ex) {
-		ex.printStackTrace();
+	    catch (Exception exception) {
+		DebugStream.printStackTrace(exception);
 	    }
 
@@ -860,6 +860,4 @@
 	}
 
-	boolean non_gli_collection = false;
-
 	// Check we have actually been given a .col file.
 	if (!location.endsWith(".col")) {
@@ -895,4 +893,5 @@
 
 	// Special case of a user trying to open an old greenstone collection.
+	boolean non_gli_collection = false;
 	File collection_metadata_directory = new File(collection_directory, "metadata");
 	if (!collection_metadata_directory.exists()) {
@@ -960,11 +959,13 @@
 	    MetadataSetManager.loadMetadataSets(collection_metadata_directory);
 
+	    // Make sure we always have the extracted metadata set
+	    addRequiredMetadataSets();
+
 	    ProfileXMLFileManager.loadProfileXMLFile(collection_metadata_directory);
  
-	    // If this is a non-GLI (legacy) collection, load the 
-	    // default metadata 
+	    // If this is a non-GLI (legacy) collection, load the default metadata sets
 	    if (non_gli_collection) {
-		addDefaultMetadataSets(collection_directory);
-		
+		addDefaultMetadataSets();
+
 		// Recurse the import folder tree, backing up the metadata.xml files before they are edited
 		LegacyCollectionImporter.backupMetadataXMLFiles(collection_directory);
@@ -1261,7 +1262,6 @@
 
     /** I started giving the user the choice of using an existing meta set or creating a new one. The second option being so that they didn't have to add/merge/ignore each element, they could all be added automatically. However, I am not sure where the merge prompt gets called from, and it is not essential, so I am leaving it for now - it should be added back in and finished. [kjdon] */
-    private boolean addDefaultMetadataSets(File collection_dir) {
-
-
+    private void addDefaultMetadataSets()
+    {
 	// Add dublin core which is the default metadata set. The user
 	// can change this later
@@ -1270,10 +1270,12 @@
 	    importMetadataSet(new MetadataSet(dc_file));
 	}
-
+    }
+
+
+    private void addRequiredMetadataSets()
+    {
 	// Always import the extracted metadata set
 	File extracted_metadata_set_file = new File(Gatherer.getGLIMetadataDirectoryPath() + MetadataSetManager.EXTRACTED_METADATA_NAMESPACE + StaticStrings.METADATA_SET_EXTENSION);
 	importMetadataSet(new MetadataSet(extracted_metadata_set_file));
-
-	return true;
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 13398)
+++ trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 13399)
@@ -745,10 +745,5 @@
 	    // Create the collection details prompt from new collection prompt
 	    NewCollectionDetailsPrompt ncd_prompt = new NewCollectionDetailsPrompt();
-	    // dc metadata set is the default
-	    ArrayList metadata_sets  = new ArrayList();
-	    File dc_file = new File(Gatherer.getGLIMetadataDirectoryPath()+"dublin.mds");
-	    if (dc_file.exists()) {
-		metadata_sets.add(new MetadataSet(dc_file));
-	    }
+
 	    // Create the new collection (if not cancelled) in a new thread.
 	    if (!ncd_prompt.isCancelled()) {
@@ -759,5 +754,5 @@
 		
 		// Create new collection.
-		Gatherer.c_man.createCollection(ncd_prompt.getDescription(), Configuration.getEmail(), ncd_prompt.getName(), ncd_prompt.getTitle(), ncd_prompt.getBase(), metadata_sets);
+		Gatherer.c_man.createCollection(ncd_prompt.getDescription(), Configuration.getEmail(), ncd_prompt.getName(), ncd_prompt.getTitle(), ncd_prompt.getBase(), new ArrayList());
 		ncd_prompt.dispose();
 	    }