Index: trunk/greenorg/macros/english.dm
===================================================================
--- trunk/greenorg/macros/english.dm	(revision 13414)
+++ trunk/greenorg/macros/english.dm	(revision 13415)
@@ -73,15 +73,20 @@
 }
 
-_imarkonline_ {<i>(Feb 9)</i> The United Nations Food and Agriculture Organization has produced an excellent self-instructional module on <a href="http://www.imarkgroup.org/">Digitization and Digital Libraries</a>, which includes a unit on Greenstone.
+_cdrom270u_ {<i>(June)</i> The UNESCO CD-ROM containing Greenstone 2.70u, plus all documentation (English/French/Spanish/Russian), plus 4 documented example collections, plus associated software like Java and ImageMagick, is available at no charge from Jean-Claude Dauphin (jc.dauphin@unesco.org) or Susannah Farey (s.farey@unesco.org).
+}
+
+
+
+_imarkonline_ {<i>(Feb)</i> The United Nations Food and Agriculture Organization has produced an excellent self-instructional module on <a href="http://www.imarkgroup.org/">Digitization and Digital Libraries</a>, which includes a unit on Greenstone.
 }
  
-_greenstone271_ {<i>(Oct 11)</i> <a href="_httppagex_(download)">Greenstone v2.71</a> released! A feature release containing lots and lots of improvements and new functionality. See the <a href="http://sourceforge.net/project/shownotes.php?release_id=454519&group_id=12123">release notes</a> for more information.
+_greenstone271_ {<i>(Oct)</i> <a href="_httppagex_(download)">Greenstone v2.71</a> released! A feature release containing lots and lots of improvements and new functionality. See the <a href="http://sourceforge.net/project/shownotes.php?release_id=454519&group_id=12123">release notes</a> for more information.
 }
  
-_greenstone270w_ {<i>(Jun 1)</i> <a href="_httppagex_(download)">Greenstone v2.70w</a> released! A stable release corresponding to the Hawaii Greenstone v2.70w Workshop CD-ROM. See <a href="http://sourceforge.net/project/shownotes.php?release_id=421745&group_id=12123">release notes</a> for more information.
+_greenstone270w_ {<i>(Jun)</i> <a href="_httppagex_(download)">Greenstone v2.70w</a> released! A stable release corresponding to the Hawaii Greenstone v2.70w Workshop CD-ROM. See <a href="http://sourceforge.net/project/shownotes.php?release_id=421745&group_id=12123">release notes</a> for more information.
 }
 
 _remotegreenstone_ {
-<i>(Oct 26)</i> Building collections on a remote Greenstone server<br />
+<i>(Oct 2005)</i> Building collections on a remote Greenstone server<br />
 This scheme allows users to augment and edit collections that are held on a remote Greenstone server. Users work with a modified version of the Greenstone Librarian Interface but do not need to have Greenstone running locally. Multiple users can collaborate on the same collection (though not at the same time). <a href="http://www.cs.waikato.ac.nz/~mdewsnip/greenstone/west-yorkshire/remote-greenstone.html">Here</a> are details of an experimental version that you can download (<a href="http://prdownload.berlios.de/gsdl-esdoc/gsdlremoto.pdf">En EspaÃ±ol</a>).
 }
@@ -191,5 +196,9 @@
 }
 
-_greenstonewiki_ {<i>(Apr 5)</i> There is now a <a href="_httpwiki_">Greenstone documentation Wiki</a> that brings together all Greenstone documentation, including manuals, FAQ, tutorial exercises (with sample files), example collections, teaching material, and much more. Please help us with this documentation project; <a href="_httpwiki_/Contributing_to_GreenstoneWiki">here's how</a>. }
+_t17_ {
+If you <a href="_httppagex_(download)">download</a> and install Greenstone v2.71 and the documented example collections, it will look exactly like <a href="http://puka.cs.waikato.ac.nz/cgi-bin/gsdl-2.71/library">this</a>. If you install Greenstone from the UNESCO CD-ROM, it will look similar, but only a few of the collections will be included, and just the four languages English, French, Spanish and Russian will be enabled. To activate the other languages, please see the <i>Enabling other languages</i> section of the <a href="_httpwikitutorial_/en/update_greenstone_installation.htm">Updating a Greenstone Installation</a> tutorial.
+}
+
+_greenstonewiki_ {<i>(Apr)</i> There is now a <a href="_httpwiki_">Greenstone documentation Wiki</a> that brings together all Greenstone documentation, including manuals, FAQ, tutorial exercises (with sample files), example collections, teaching material, and much more. Please help us with this documentation project; <a href="_httpwiki_/Contributing_to_GreenstoneWiki">here's how</a>. }
 
 _southasiasupport_ {Greenstone support for South Asia}