Index: trunk/gli/classes/dictionary_ar.properties
===================================================================
--- trunk/gli/classes/dictionary_ar.properties	(revision 13448)
+++ trunk/gli/classes/dictionary_ar.properties	(revision 13489)
@@ -214,5 +214,5 @@
 Øª Ø¥Ø¶Ø§ÙØªÙ ÙÙØ±ÙÙØ³ØªÙÙ ÙØªØ³ÙÙÙ ØªØ³Ø±ÙØ¹ ØšÙØ§Ø¡ Ø§ÙÙ
 Ø¬Ù
-ÙØ¹Ø§Øª Ù Ø§ÙØªÙ ÙØ§ ØªØªÙÙØ± ÙÙ  MG Ù MGPP 
+ÙØ¹Ø§Øª Ù Ø§ÙØªÙ ÙØ§ ØªØªÙÙØ± ÙÙ  MG Ù MGPP
 CDM.BuildTypeManager.Current_Type:Ø§ÙÙØŽØ§Ù Ø§ÙÙ
 Ø³ØªØ®Ø¯Ù
@@ -248,4 +248,9 @@
 CDM.ClassifierManager.Classifier_Str:Ù
 ØµÙÙ
+CDM.ClassifierManager.Classifier_List_XML_Parse_Failed:ÙØ§ ÙÙ
+ÙÙ Ø§ÙØ¹Ø«ÙØ± Ø¹ÙÙ ÙØ§ØŠÙ
+Ø© Ø§ÙÙ
+ØµÙÙØ§Øª ØšØ¥Ø³ØªØ®Ø¯Ø§Ù
+ classinfo.pl -listall  # Updated 29-Nov-2006 by kkhalafala
 CDM.ClassifierManager.Classifier_XML_Parse_Failed:ÙØ§ ÙÙ
 ÙÙ ØªØ­Ø¯ÙØ¯ Ø§ÙÙ
@@ -293,4 +298,6 @@
 Ø¹ØªÙ
 Ø¯Ø© Ø­Ø§ÙÙØ§
+CDM.FormatManager.Default:Reset to Default
+CDM.FormatManager.Default_Tooltip:Reset the selected format command to its default value 
 CDM.FormatManager.Editor:Ø³ÙØ§Ø³Ù Ù
 Ø­Ø§Ø±Ù Ø£Ù
@@ -372,5 +379,5 @@
 CDM.General.Icon_Collection:Ø¹ÙÙØ§Ù Ø§ÙÙ
 ÙØ§Ø±Ø¯ Ø§ÙÙ
-ÙØ­Ø¯ ÙØµÙØ±Ø©  'ØµÙØ­Ø© Ø­ÙÙ' 
+ÙØ­Ø¯ ÙØµÙØ±Ø©  'ØµÙØ­Ø© Ø­ÙÙ'
 CDM.General.Icon_Collection_Tooltip:Ø¹ÙÙØ§Ù Ø§ÙÙ
 ÙØ§Ø±Ø¯ Ø§ÙÙ
@@ -411,5 +418,5 @@
 ÙØ§ØšØ³ Ø§ÙÙØ«ÙÙØ©
 CDM.GUI.Root:CDM_ROOT:
-CDM.GUI.SearchMetadata:ØšØ­Ø« 
+CDM.GUI.SearchMetadata:ØšØ­Ø«
 CDM.GUI.Subcollections:ÙØŽØ§ÙØ§Øª Ø§ÙÙØ·Ø§Ø¹Ø§Øª
 CDM.GUI.SuperCollection:ØšØ­Ø« ÙÙ Ø§ÙÙ
@@ -437,5 +444,4 @@
 Ø¹ØªÙ
 Ø¯Ø©
-
 CDM.IndexManager.Level:Ù
 Ø³ØªÙÙ Ø§ÙØªÙØŽÙÙ:
@@ -453,11 +459,8 @@
 CDM.IndexManager.Remove_Index:Ø­Ø°Ù ÙØŽØ§Ù
 CDM.IndexManager.Remove_Index_Tooltip:Ø­Ø°Ù Ø§ÙÙØŽØ§Ù Ø§ÙÙ
-Ø®ØªØ§Ø± 
+Ø®ØªØ§Ø±
 CDM.IndexManager.Replace_Index:Ø¥Ø³ØªØšØ¯Ø§Ù ÙØŽØ§Ù
 CDM.IndexManager.Replace_Index_Tooltip:ØªØ­Ø¯ÙØ« Ø§ÙÙØŽØ§Ù Ø§ÙÙ
 Ø®ØªØ§Ø±
-CDM.IndexManager.Text_Source_Tooltip:ØªØ¶Ù
-ÙÙ Ø§ÙÙØµ Ø§ÙÙØ§Ù
-Ù ÙÙÙØ«ÙÙØ© ÙÙ Ø§ÙÙØŽØ§Ù
 CDM.IndexManager.Select_All:Ø¥Ø®ØªÙØ§Ø± Ø§ÙÙÙ
 CDM.IndexManager.Select_All_Tooltip:Ø¥Ø®ØªÙØ§Ø± ÙÙ ÙØŽØ§ÙØ§Øª Ø§ÙÙ
@@ -588,4 +591,9 @@
 ÙØ¶ÙØ¹ Ø§ÙØ³Ø€Ø§Ù\nØšØªÙÙÙØ± ØŽØ§Ø±Ø© -xml ØšØªÙÙÙØ° Ù
 ÙÙ
+CDM.PluginManager.Plugin_List_XML_Parse_Failed:ÙØ§ ÙÙ
+ÙÙ Ø§ÙØ¹Ø«ÙØ± Ø¹ÙÙ ÙØ§ØŠÙ
+Ø© Ø§ÙÙ
+ÙØ§ØšØ³ ØšØ¥Ø³ØªØ®Ø¯Ø§Ù
+pluginfo.pl -listall  # Updated 29-Nov-2006 by kkhalafala
 CDM.PluginManager.Plugin_Suggestion_Prompt:ÙØ§ ÙÙØ¬Ø¯ Ù
 ÙØ§ØšØ³ ÙÙ ÙØ°Ù Ø§ÙÙ
@@ -868,10 +876,10 @@
 ÙØ¹Ø© ÙÙ:\n{0-Collection file path}\nÙØ§ ÙÙ
 ÙÙ ÙØªØ­ÙØ§ ØšØ³ØšØš:\n{1-Error message}
-CollectionManager.Creating_New:Ø¥ÙØŽØ§Ø¡ Ù
-Ø¬Ù
-ÙØ¹Ø© Ø¬Ø¯ÙØ¯Ø©
-CollectionManager.Log_Created:ØªÙ
- Ø¥ÙØŽØ§Ø¡ Ù
-ÙÙ Ø§ÙØ³Ø¬Ù.
+CollectionManager.Creating_Collection:Ø¥ÙØŽØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©  # Updated 29-Nov-2006 by kkhalafala
+CollectionManager.Creating_Collection_Please_Wait:Ø¥ÙØŽØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø© ØØ§ÙØ±Ø¬Ø§Ø¡Ø§ÙØ¥ÙØªØžØ§Ø±....  # Updated 29-Nov-2006 by kkhalafala
 CollectionManager.Loading_Collection:ØªØ­Ù
 ÙÙ Ø§ÙÙ
@@ -908,8 +916,4 @@
 Ø¬Ù
 ÙØ¹Ø©.
-CollectionManager.Session_Ready:Ø§ÙÙ
-Ø¬Ù
-ÙØ¹Ø© {0} Ø¬Ø§ÙØ²Ø© ÙÙØ¥Ø³ØªØ®Ø¯Ø§Ù
-.
 CollectionManager.Build_Not_Moved:ÙØ§ ÙÙ
 ÙÙ ØªØ­ÙÙÙ Ø¯ÙÙÙ Ø§ÙØšÙØ§Ø¡.
@@ -975,9 +979,20 @@
 CreatePane.Import_Progress:ØªØ·ÙØ± Ø§ÙØ¥Ø³ØªÙØ±Ø§Ø¯
 CreatePane.Minimal_Build:Ø¥Ø¹Ø§Ø¯Ø© ØšÙØ§Ø¡ Ø§ÙØ­Ø¯ Ø§ÙØ£Ø¯ÙÙ
-CreatePane.Incremental_Build:ØªØ³Ø±ÙØ¹ Ø¥Ø¹Ø§Ø¯Ø© Ø§ÙØšÙØ§Ø¡
-CreatePane.Incremental_Build_Tooltip:Ø£Ø³Ø±Ø¹, ØšØªØ¶Ù
-ÙÙ Ø§ÙØ£Ø¬Ø²Ø§Ø¡ Ø§ÙØ¶Ø±ÙØ±ÙØ© ÙÙØ· ÙÙ Ø¥Ø¬Ø±Ø§Ø¡ ØšÙØ§Ø¡ Ø§ÙÙ
-Ø¬Ù
-ÙØ¹Ø©
+CreatePane.Minimal_Build_Tooltip:Ø§Ø³Ø±Ø¹ ØØšØªØ¶Ù
+ÙÙ Ø§ÙØ£Ø¬Ø²Ø§Ø¡ Ø§ÙØ¶Ø±ÙØ±ÙØ© ÙÙØ· ÙÙ Ø¥Ø¬Ø±Ø§Ø¡ ØšÙØ§Ø¡ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©  # Updated 29-Nov-2006 by kkhalafala
+CreatePane.Minimal_Build_Not_Required:Ø¥Ø¹Ø§Ø¯Ø© Ø§ÙØšÙØ§Ø¡ ÙÙØ³Øª Ù
+Ø·ÙÙØšØ© ÙØ§ÙÙ ÙÙ
+ ØªÙÙ
+ ØšØ¥Ø¶Ø§ÙØ© Ø¢Ù Ù
+ÙÙ ÙÙÙ
+Ø¬Ù
+ÙØ¹Ø©ØØªØ¹Ø¯ÙÙ ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§ØªØ Ø§Ù ØªØºÙÙØ± Ø®ÙØ§Ø±Ø§Øª ÙÙ Ø­ÙØ² Ø§ÙØªØµÙ
+ÙÙ
+\nÙØ¥Ø¬ØšØ§Ø± Ø¥Ø¹Ø§Ø¯Ø© ØšÙØ§Ø¡ Ø§ÙØ±Ø¬Ø§Ø¡ Ø¥Ø®ØªÙØ§Ø± "Ø¥Ø¹Ø§Ø¯Ø© ØšÙØ§Ø¡ ÙØ§Ù
+ÙØ©" Ù Ø¥Ø¶ØºØ· Ø²Ø± "ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©"  # Updated 29-Nov-2006 by kkhalafala
 CreatePane.Log:Ù
 ÙÙ Ø§ÙØ³Ø¬Ù
@@ -1102,4 +1117,5 @@
 DOWNLOAD.MODE.ZDownload:Z39.50
 DOWNLOAD.MODE.SRWDownload:SRW
+
 Download.ServerInformation:Ù
 Ø¹ÙÙÙ
@@ -1111,4 +1127,5 @@
 Ø²ÙØ¯Ø Ù ÙØ­Øµ Ø§ÙØ¥ØªØµØ§Ù Ø§ÙØ°Ù ÙÙ
 ÙÙ Ø£Ù ÙÙÙÙ
+
 #********************
 #
@@ -1256,4 +1273,11 @@
 ExportAsPrompt.Export_Name:Ø¥Ø³Ù
  Ø¯ÙÙÙ Ø§ÙØªØµØ¯ÙØ±
+ExportAsPrompt.Export_Name_Tooltip:Ø¥Ø³Ù
+ Ø§ÙÙ
+Ø¬ÙØ¯ Ø§ÙØ°Ù ØªØ­ÙØž ÙÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø§ÙÙ
+ØµØ¯Ø±Ø© ÙÙ Ù
+Ø³Ø§Ø±Greenstone tmp  # Updated 29-Nov-2006 by kkhalafala
 ExportAsPrompt.Export:ØªØµØ¯ÙØ± Ø§ÙÙ
 Ø¬Ù
@@ -1310,5 +1334,5 @@
 ExportAsPrompt.Browse:ØªØµÙØ­
 ExportAsPrompt.Browse_Tooltip:Ø¥Ø®ØªÙØ§Ø± Ù
-ÙÙ xsl 
+ÙÙ xsl
 ExportAsPrompt.ApplyXSL:ØªØ·ØšÙÙ Ù
 ÙÙ  XSL Ø¥ÙÙ {0}
@@ -1332,5 +1356,4 @@
 ÙÙØ§Øª Ø§ÙÙ
 ØµØ¯Ø±Ø©
-
 #************************
 #
@@ -1426,12 +1449,10 @@
 FileActions.Could_Not_Delete:ÙØ§ ÙÙ
 ÙÙ Ø¥ÙØºØ§Ø€Ù
-FileActions.Possible_Cyclic_Path:{1} ÙÙ ØšØ¹Ù
-Ù {0} Ù
-Ø³Ø§Ø±Ø§Øª Ù Ø±ØšÙ
-Ø§ ÙÙÙÙ Ù
-Ø³Ø§Ø±Ø§ Ù
-ØªÙØ±Ø±Ø§ØÙÙ ÙØ³ØªÙ
-Ø± Ø¥Ø¬Ø±Ø§Ø¡ Ø§ÙÙ
-ÙÙØ
+FileActions.Cyclic_Path:ÙØ§ ÙÙ
+ÙÙ ÙØ³Ø®{0}:Ø§ÙÙ
+Ø¬ÙØ¯ Ø§ÙÙØ¯Ù ÙÙ Ù
+Ø¬ÙØ¯ ÙØ±Ø¹Ù ÙÙ Ù
+Ø¬ÙØ¯ Ø§ÙÙ
+ØµØ¯Ø±  # Updated 29-Nov-2006 by kkhalafala
 FileActions.Deleting:Ø¥ÙØºØ§Ø¡ {0}
 FileActions.Directories_Selected:{0} Ù
@@ -1702,5 +1723,5 @@
 #
 #***** GAuthenticator *****
-GAuthenticator.Password: ÙÙÙ
+GAuthenticator.Password:ÙÙÙ
 Ø© Ø§ÙÙ
 Ø±ÙØ±:
@@ -1760,5 +1781,5 @@
 General.Redo_Tooltip:Ø¥Ø³ØªØ¹Ø§Ø¯Ø© Ø§ÙØ¥Ø¬Ø±Ø§Ø¡ Ø§ÙØ£Ø®ÙØ±
 General.Undo:ÙÙØ¶
-General.Undo_Tooltip: ÙÙØ¶ Ø§ÙØªØ­Ø¯ÙØ« Ø§ÙØ£Ø®ÙØ±
+General.Undo_Tooltip:ÙÙØ¶ Ø§ÙØªØ­Ø¯ÙØ« Ø§ÙØ£Ø®ÙØ±
 General.Usage:Usage: {0} <params>\nÙÙ Ø§ÙÙ
 Ø€ØŽØ±Ø§Øª Ø¥Ø®ØªÙØ§Ø±ÙØ© ÙÙÙ Ø±ØšÙ
@@ -2221,4 +2242,6 @@
 Mirroring.DownloadJob.Log:Ø¹Ø±Ø¶ Ø³Ø¬Ù
 Mirroring.DownloadJob.Log_Tooltip:Ø¹Ø±Ø¶ ØªÙØ§ØµÙÙ Ø­ÙÙ ÙØ°Ø§ Ø§ÙØªÙØ²ÙÙ
+Mirroring.DownloadJob.Log_Title:Ù
+Ø¯ÙÙØ© Ø§ÙØªÙØ²ÙÙ  # Updated 29-Nov-2006 by kkhalafala
 Mirroring.DownloadJob.Pause:Pause
 Mirroring.DownloadJob.Pause_Tooltip:ØªØ¹ÙÙÙ ÙØ°Ø§ Ø§ÙØªÙØ²ÙÙ
@@ -2335,17 +2358,4 @@
 Ø³Ø§Ø± PERL ØºÙØ± Ù
 ÙØ¬ÙØ¯
-#******* MissingWGET ********
-MissingWGET.Message:ØªØ­Ø°ÙØ±! ÙÙ
- ÙØªÙ
- ØªÙØ¹ÙÙ Ù
-ØªØ·Ø§ØšÙØ§Øª Ø§ÙÙØš ÙØ§Ù ÙØ§Ø¬ÙØ© Ø§ÙÙ
-ÙØªØšÙ ÙØ¯ ÙØŽÙ ÙÙ ØªØ­Ø¯ÙØ¯ Ø§ÙÙØ³Ø®Ø© Ø§ÙÙ
-ÙØ§Ø³ØšØ© Ù
-Ù WGet. Ø¥Ø°Ø§ ØžÙØ±Øª Ø±Ø³Ø§ÙØ© Ø§ÙØ®Ø·Ø£ ÙØ°Ù Ø§ÙØ±Ø¬Ø§Ø¡ Ø¥Ø¹Ø§Ø¯Ø© ØªØ«ØšÙØª Ø§ÙØšØ±ÙØ§Ù
-Ø¬ Ø£Ù ØªÙØ­Øµ Ù
-Ø³Ø§Ø± Ù
-ÙÙ Ø§ÙØªÙÙÙØ°.
-MissingWGET.Title:WGet ØºÙØ± Ù
-ÙØ¬ÙØ¯
 #******* MissingImageMagick ********
 MissingImageMagick.Message:ØªØ­Ø°ÙØ±! ÙØŽÙ ÙØ§Ø¬ÙØ© Ø§ÙÙ
@@ -2455,21 +2465,4 @@
 Ø¹Ø§ÙØ¬Ø© ÙØ°Ø§ Ø§ÙÙ
 ÙÙ
-#**********************
-#
-#******* OldWGET *******
-OldWGET.Message:ØªØ­Ø°ÙØ±! Ø¥ØµØ¯Ø§Ø±Ø©  WGet Ø§ÙØªÙ Ø«ØšØªÙØ§ ÙÙØ§ Ù
-ØŽØ§ÙÙ Ù
-Ø¹Ø±ÙÙØ© Ø¹ÙØ¯Ù
-Ø§ ØªØªØ·Ø§ØšÙ Ø§ÙÙ
-ÙÙØ§Øª Ø§ÙØªÙ ØªØªØ¶Ù
-Ù Ù
-Ø­Ø§Ø±Ù Ù
-Ø±Ù
-Ø²Ø©Ù ÙÙØšØºÙ ÙÙ ÙØ§ ÙÙ
-Ø«Ù ÙØ°Ø§ Ø§ÙØ§Ù
-Ø± Ù
-ØŽÙÙØ© Ø Ø§ÙØ±Ø¬Ø§Ø¡ ØªØ«ØšÙØª Ø¥ØµØ¯Ø§Ø±Ø© 1Ø²9 Ø£Ù Ø§Ø¹ÙÙ.
-OldWGET.Title:Ø¥ØµØ¯Ø§Ø±Ø© Ø³Ø§ØšÙØ© Ù
-Ù WGet
 #***********************
 #
@@ -2758,5 +2751,5 @@
 ÙØ¹Ø© ÙØ­Ø¯ÙØ« Ø®Ø·Ø£.Ø£ÙØª ØªØ¹Ø±Ø¶ Ø§ÙÙ
 Ø¬Ù
-ÙØ¹Ø© Ø§ÙØªÙ Ø³ØšÙ ØšÙØ§Ø€ÙØ§. 
+ÙØ¹Ø© Ø§ÙØªÙ Ø³ØšÙ ØšÙØ§Ø€ÙØ§.
 #**********************
 #
@@ -2953,5 +2946,5 @@
  ØªØ­Ø¯ÙØ¯ Ø¥Ø³Ù
  Ù
-Ø³Ø§Ø­Ø© 
+Ø³Ø§Ø­Ø©
 GEMS.SelectedLanguage:Ø¥Ø¶Ø§ÙØ© ØµÙØ§Øª ÙÙØºØ©:
 GEMS.Language:--Ø¥Ø®ØªÙØ§Ø± ÙØºØ©--
@@ -2983,5 +2976,5 @@
 ØªØ£ÙØ¯ Ù
 Ù Ø¥ÙØºØ§Ø¡ Ø§ÙØ¹ÙØµØ± {0}Ø
-GEMS.Confirm_DeleteElement_Title: Ø¥ÙØºØ§Ø¡  Ø¹ÙØµØ±
+GEMS.Confirm_DeleteElement_Title:Ø¥ÙØºØ§Ø¡  Ø¹ÙØµØ±
 GEMS.File_Deletion_Error_Message:ÙØ§ ÙÙ
 ÙÙ Ø¥ÙØºØ§Ø¡ ÙØ°Ø§ Ø§ÙÙ
@@ -3005,4 +2998,5 @@
 GEMS.Cannot_Undo:(ÙØ§ ÙÙ
 ÙÙ ÙÙØ¶ ÙØ°Ø§ Ø§ÙØ¥Ø¬Ø±Ø§Ø¡)
+
 GEMS.AttributeTable.Name:Ø¥Ø³Ù
 
@@ -3024,4 +3018,6 @@
 GEMS.NewMetadataElementNamePrompt.EmptyName_Error_Message:ÙØ¬Øš ØªÙÙÙØ± Ø¥Ø³Ù
  ÙÙØ¹ÙØµØ± Ø§ÙØ¬Ø¯ÙØ¯.
+
+
 GEMS.No_Set_Loaded:ÙÙ
  ÙØªÙ
@@ -3035,4 +3031,2 @@
 Ø¹ÙØ§Ø± Ù
 ÙØ¬ÙØ¯
-
-