Index: /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/GS2LuceneIndexer.java
===================================================================
--- /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/GS2LuceneIndexer.java	(revision 13554)
+++ /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/GS2LuceneIndexer.java	(revision 13555)
@@ -1,9 +1,27 @@
-/**
+/**********************************************************************
  *
- * class for indexing XML generated by lucenebuildproc.pm
- * @author  kjdon@cs.waikato.ac.nz
- * @author  davidb@cs.waikato.ac.nz
- * @version 
- */
+ * GS2LuceneIndexer.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 package org.nzdl.gsdl.LuceneWrap;
@@ -12,4 +30,8 @@
 import java.io.*;
 import java.util.Vector;
+
+/**
+ * class for indexing XML generated by lucenebuildproc.pm
+  */
 
 public class GS2LuceneIndexer {
Index: /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/IndexXML.java
===================================================================
--- /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/IndexXML.java	(revision 13554)
+++ /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/IndexXML.java	(revision 13555)
@@ -1,10 +1,27 @@
-
-/**
+/**********************************************************************
  *
- * @author  kjdon@cs.waikato.ac.nz
- * @author  davidb@cs.waikato.ac.nz
- * @version 
- */
-
+ * IndexXML.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 package org.nzdl.gsdl.LuceneWrap;
 
Index: /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/Indexer.java
===================================================================
--- /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/Indexer.java	(revision 13554)
+++ /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/Indexer.java	(revision 13555)
@@ -1,2 +1,27 @@
+/**********************************************************************
+ *
+ * Indexer.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 package org.nzdl.gsdl.LuceneWrap;
 
Index: /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/XMLTagInfo.java
===================================================================
--- /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/XMLTagInfo.java	(revision 13554)
+++ /trunk/gsdl/src/java/org/nzdl/gsdl/LuceneWrap/XMLTagInfo.java	(revision 13555)
@@ -1,5 +1,27 @@
-/** XMLTagInfo
- * contains any methods that are specific to what kind of XML you are working on
- */
+/**********************************************************************
+ *
+ * XMLTagInfo.java 
+ *
+ * Copyright 2006 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 package org.nzdl.gsdl.LuceneWrap;
@@ -7,4 +29,8 @@
 
 import org.xml.sax.Attributes;
+
+/** XMLTagInfo
+ * contains any methods that are specific to what kind of XML you are working on
+ */
 
 public class XMLTagInfo {
Index: /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/GS2LuceneIndexer.java
===================================================================
--- /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/GS2LuceneIndexer.java	(revision 13554)
+++ /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/GS2LuceneIndexer.java	(revision 13555)
@@ -1,9 +1,27 @@
-/**
+/**********************************************************************
  *
- * class for indexing XML generated by lucenebuildproc.pm
- * @author  kjdon@cs.waikato.ac.nz
- * @author  davidb@cs.waikato.ac.nz
- * @version 
- */
+ * GS2LuceneIndexer.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 package org.nzdl.gsdl.LuceneWrap;
@@ -12,4 +30,8 @@
 import java.io.*;
 import java.util.Vector;
+
+/**
+ * class for indexing XML generated by lucenebuildproc.pm
+  */
 
 public class GS2LuceneIndexer {
Index: /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/IndexXML.java
===================================================================
--- /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/IndexXML.java	(revision 13554)
+++ /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/IndexXML.java	(revision 13555)
@@ -1,10 +1,27 @@
-
-/**
+/**********************************************************************
  *
- * @author  kjdon@cs.waikato.ac.nz
- * @author  davidb@cs.waikato.ac.nz
- * @version 
- */
-
+ * IndexXML.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 package org.nzdl.gsdl.LuceneWrap;
 
Index: /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/Indexer.java
===================================================================
--- /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/Indexer.java	(revision 13554)
+++ /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/Indexer.java	(revision 13555)
@@ -1,2 +1,27 @@
+/**********************************************************************
+ *
+ * Indexer.java 
+ *
+ * Copyright 2004 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 package org.nzdl.gsdl.LuceneWrap;
 
Index: /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/XMLTagInfo.java
===================================================================
--- /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/XMLTagInfo.java	(revision 13554)
+++ /trunk/indexers/lucene-gs/src/org/greenstone/LuceneWrapper/XMLTagInfo.java	(revision 13555)
@@ -1,5 +1,27 @@
-/** XMLTagInfo
- * contains any methods that are specific to what kind of XML you are working on
- */
+/**********************************************************************
+ *
+ * XMLTagInfo.java 
+ *
+ * Copyright 2006 The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 package org.nzdl.gsdl.LuceneWrap;
@@ -7,4 +29,8 @@
 
 import org.xml.sax.Attributes;
+
+/** XMLTagInfo
+ * contains any methods that are specific to what kind of XML you are working on
+ */
 
 public class XMLTagInfo {